<?xml version="1.0" encoding="utf-8"?>
<layout>

    <FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
        xmlns:app="http://schemas.android.com/apk/res-auto"
        xmlns:tools="http://schemas.android.com/tools"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/full_white"
        tools:context=".gest.main.MainFragment">



        <androidx.appcompat.widget.LinearLayoutCompat
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">


            <net.cachapa.expandablelayout.ExpandableLayout
                android:id="@+id/no_connection_top_layout"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@drawable/gray_detail_background"
                android:padding="0dp"
                app:el_duration="400"
                app:el_expanded="false">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@color/red_600"
                    android:orientation="vertical"
                    android:paddingStart="8dp"
                    android:paddingEnd="8dp"
                    android:paddingTop="12dp"
                    android:paddingBottom="12dp">

                    <androidx.appcompat.widget.AppCompatTextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="NESSUNA CONNESSIONE DISPONIBILE, RIPROVA"
                        android:textColor="@color/white"
                        style="@style/AppTheme.NewMaterial.Text.Small"/>

                </LinearLayout>

            </net.cachapa.expandablelayout.ExpandableLayout>


            <androidx.core.widget.NestedScrollView
                android:id="@+id/fragment_main__scrollview"
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical">



                    <androidx.cardview.widget.CardView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_margin="12dp"
                        app:cardElevation="4dp"
                        app:cardCornerRadius="8dp">

                        <RelativeLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:background="@color/colorPrimary"
                            android:paddingLeft="16dp"
                            android:paddingTop="16dp"
                            android:paddingRight="16dp"
                            android:paddingBottom="16dp">


                            <androidx.appcompat.widget.LinearLayoutCompat
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:orientation="vertical">


                                <LinearLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:gravity="center_vertical"
                                    android:orientation="horizontal">


                                    <androidx.appcompat.widget.AppCompatImageView
                                        android:layout_width="30dp"
                                        android:layout_height="30dp"
                                        android:layout_marginEnd="16dp"
                                        android:adjustViewBounds="true"
                                        android:src="@drawable/ic_outline_account_circle_48px"
                                        android:tint="@android:color/white" />

                                    <LinearLayout
                                        android:layout_width="match_parent"
                                        android:layout_height="wrap_content"
                                        android:orientation="vertical">

                                        <TextView
                                            android:id="@+id/current_user_name"
                                            style="@style/AppTheme.NewMaterial.Text.TextBoxDashboard"
                                            android:layout_width="match_parent"
                                            android:layout_height="wrap_content"
                                            android:textColor="@android:color/white"
                                            tools:text="Android Studio" />

                                        <TextView
                                            android:id="@+id/current_deposito"
                                            style="@style/AppTheme.NewMaterial.Text.TextBoxLittleDashboard"
                                            android:layout_width="wrap_content"
                                            android:layout_height="wrap_content"
                                            android:layout_marginTop="2dp"
                                            tools:text="android.studio@android.com" />

                                    </LinearLayout>

                                </LinearLayout>


                                <net.cachapa.expandablelayout.ExpandableLayout
                                    android:id="@+id/recover_data_expandable_layout"
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    app:el_duration="400"
                                    app:el_expanded="false">

                                    <LinearLayout
                                        android:layout_width="match_parent"
                                        android:layout_height="wrap_content"
                                        android:layout_marginTop="16dp"
                                        android:layout_marginBottom="8dp"
                                        android:gravity="center_vertical"
                                        android:orientation="horizontal">

                                        <androidx.appcompat.widget.AppCompatImageView
                                            android:layout_width="30dp"
                                            android:layout_height="30dp"
                                            android:layout_marginEnd="16dp"
                                            android:adjustViewBounds="true"
                                            android:src="@drawable/ic_black_recover"
                                            android:tint="@android:color/white" />

                                        <LinearLayout
                                            android:layout_width="match_parent"
                                            android:layout_height="wrap_content"
                                            android:orientation="vertical">

                                            <androidx.appcompat.widget.AppCompatTextView
                                                style="@style/AppTheme.NewMaterial.Text.TextBoxDashboard"
                                                android:layout_width="match_parent"
                                                android:layout_height="wrap_content"
                                                android:text="@string/recovering_data"
                                                android:textColor="@android:color/white" />


                                            <ProgressBar
                                                android:id="@+id/progressBar2"
                                                style="?android:attr/progressBarStyleHorizontal"
                                                android:layout_width="match_parent"
                                                android:layout_height="8dp"
                                                android:layout_marginTop="4dp"
                                                android:indeterminate="true"
                                                android:indeterminateDrawable="@drawable/curved_progress_bar" />


                                            <androidx.appcompat.widget.AppCompatTextView
                                                style="@style/AppTheme.NewMaterial.Text.TextBoxLittleDashboard"
                                                android:layout_width="wrap_content"
                                                android:layout_height="wrap_content"
                                                android:layout_marginTop="2dp"
                                                android:text="@string/wait_a_moment" />

                                        </LinearLayout>


                                    </LinearLayout>

                                </net.cachapa.expandablelayout.ExpandableLayout>

                            </androidx.appcompat.widget.LinearLayoutCompat>


                        </RelativeLayout>


                    </androidx.cardview.widget.CardView>



                    <LinearLayout
                        android:id="@+id/menu_container"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="vertical">
                    </LinearLayout>

                    <androidx.appcompat.widget.AppCompatTextView
                        android:id="@+id/current_app_version_name"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:padding="8dp"
                        android:textAlignment="center"
                        tools:text="v1.0.0" />

                </LinearLayout>
            </androidx.core.widget.NestedScrollView>

        </androidx.appcompat.widget.LinearLayoutCompat>

    </FrameLayout>
</layout>